Subject: [OPS-AREA] FW: [MIB-DOCTORS] OPS Area BOFs in Prague

From: "David Harrington" <[email-masked]>
Date: Tue, 19 Dec 2006 18:45:20 -0500

Hi,

Please respond only to the OPS-area mailing list.

I would like to raise three potential areas of discussion. These may
be suitable for BOFs or mini-BOFs.

1) An OpsNM BOF, designed to lead to a WG similar to the OpSec WG, to
have **operators** document how they actually manage networks today,
and to document what features they utilize in equipment today to
accomplish such management. 

For example, DavidK mentioned during the last OPSarea open-office
meetings that there are three major approaches to managing service
provider networks (Motorola, ??, ??). I don't think this is documented
anyplace in IETF documents. I don't know if these approaches are
documented elsewhere. 

I don't know what they are, since my background is not SP-oriented,
which is true of many IETF NM people. As we move toward a more
SP-centric Internet, it would be helpful to get these approaches
documented in the IETF.

2) The IETF has limited resources to accomplish its work, and it would
be good to not waste resources trying to solve problems we think might
exist, when we could be working on the problems we know exist.

In the OpSec WG, few enterprise equipment vendors participated. It
might be time to have a discussion of whether the IETF should simply
move to be more SP-centric, especially the IETF management protocols.
If enterprise equipment vendors do not believe it is important for
them to contribute to IETF protocol designs, then enterprise equipment
vendors (and their customers) may need to move toward an SP-centric
approach to utilize emerging/future IETF protocols. 

How do we want to focus our Operations and Management resources? Is
the IETF OPS area still relevant for operating and managing the
Internet? Should we adopt the management standards from other SDOs, or
let the other IETF areas design their own focus-appropriate management
solutions?

3) A manageability considerations BOF. There is already work being
done on manageability considerations guidelines (how to consider
manageability requirements, not a required section in all documents).
There was  a lot of discussion about this in the last OPS Area open
meeting as well. This would benefit from achieving consensus from
operators and standards writers, and would probably be a good choice
for an EDU tutorial once consensus is reached.

Obviously, this would benefit from the discussions of #1 and #2.

dbh 

> -----Original Message-----
> From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
> Sent: Tuesday, December 19, 2006 2:54 AM
> To: [email-masked]; [email-masked]; MIB Doctors; 
> [email-masked]; DNS Directorate
> Cc: [email-masked]; IESG
> Subject: [MIB-DOCTORS] OPS Area BOFs in Prague
> 
>  
> This is a reminder that we intent to schedule for the Prague IETF a
> number of BOFs or mini-BOFs in the OPS area meeting slots with the
> intention to bring to attention new ideas in the operations and
> management area and discuss which of those are worth becoming
subject
> for future standardization, research or prototyping work. 
> Although there
> are still three months to go until the Prague IETF it is not too
early
> to send proposals, both in order to help planning the 
> sessions, as well
> as in order to better prepare the sessions by holding preliminary
> discussions. Any of the lists in the area would do, but
> [email-masked] would probably be the best. 
> 
> David and Dan
> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
> 

_______________________________________________
OPS-AREA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ops-area

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 20 Dec 2006 10:19:31 +0200

David,

I believe that you may want to create separate threads for each of the
issues, so that we do not mix them. It's not that they are not
inter-related, but we probably want to hold separate BOFs, which
actionable outcome. 

#1 and #3 seem on the line of what BOFs are. I do not know how you want
to organize the discussion around #2, maybe a OPS Area meeting section
'OPS Area - where to'? Anyway, all need more work for a proper scope
definition and first of all input from the community. 

Dan

> From: David Harrington [mailto:[email-masked]] 
> Sent: Wednesday, December 20, 2006 1:45 AM
> To: [email-masked]
> Subject: [OPS-AREA] FW: [MIB-DOCTORS] OPS Area BOFs in Prague
> 
> 
> Hi,
> 
> I would like to raise three potential areas of discussion. 
> These may be suitable for BOFs or mini-BOFs.
> 
> 1) An OpsNM BOF, designed to lead to a WG similar to the 
> OpSec WG, to have **operators** document how they actually 
> manage networks today, and to document what features they 
> utilize in equipment today to accomplish such management. 
> 
> For example, DavidK mentioned during the last OPSarea 
> open-office meetings that there are three major approaches to 
> managing service provider networks (Motorola, ??, ??). I 
> don't think this is documented anyplace in IETF documents. I 
> don't know if these approaches are documented elsewhere. 
> 
> I don't know what they are, since my background is not 
> SP-oriented, which is true of many IETF NM people. As we move 
> toward a more SP-centric Internet, it would be helpful to get 
> these approaches documented in the IETF.
> 
> 2) The IETF has limited resources to accomplish its work, and 
> it would be good to not waste resources trying to solve 
> problems we think might exist, when we could be working on 
> the problems we know exist.
> 
> In the OpSec WG, few enterprise equipment vendors 
> participated. It might be time to have a discussion of 
> whether the IETF should simply move to be more SP-centric, 
> especially the IETF management protocols.
> If enterprise equipment vendors do not believe it is 
> important for them to contribute to IETF protocol designs, 
> then enterprise equipment vendors (and their customers) may 
> need to move toward an SP-centric approach to utilize 
> emerging/future IETF protocols. 
> 
> How do we want to focus our Operations and Management 
> resources? Is the IETF OPS area still relevant for operating 
> and managing the Internet? Should we adopt the management 
> standards from other SDOs, or let the other IETF areas design 
> their own focus-appropriate management solutions?
> 
> 3) A manageability considerations BOF. There is already work 
> being done on manageability considerations guidelines (how to 
> consider manageability requirements, not a required section 
> in all documents).
> There was  a lot of discussion about this in the last OPS 
> Area open meeting as well. This would benefit from achieving 
> consensus from operators and standards writers, and would 
> probably be a good choice for an EDU tutorial once consensus 
> is reached.
> 
> > to send proposals, both in order to help planning the sessions, as 
> > well as in order to better prepare the sessions by holding 
> preliminary